<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MaterialSerializer.html">MaterialSerializer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::MaterialSerializer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#adb5084897d979081083c799d4ba7154f">addListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a22de02f9f67c8c2e9121603f3a6f796f">AttribParserList</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a96e9de7a16458947c9d4208a8be2847b">beginSection</a>(unsigned short level, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ac93759585fba1b84ad1183358b636c8b">clearQueue</a>()</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a39f900b0d128a1bb808b4a51b5c43a3a">convertFiltering</a>(FilterOptions fo)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a600190cf43afed4cf6e33d5dd048a4a0">EffectMap</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#adf543cc3f4c912ef1035f07cc542d78b">endSection</a>(unsigned short level, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a9738a042ee8b40f84feabd61f89d88a3">exportMaterial</a>(const MaterialPtr &amp;pMat, const String &amp;filename, bool exportDefaults=false, const bool includeProgDef=false, const String &amp;programFilename=&quot;&quot;, const String &amp;materialName=&quot;&quot;)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aad0415f95d43e60cce716cd3cca59739">exportQueued</a>(const String &amp;filename, const bool includeProgDef=false, const String &amp;programFilename=&quot;&quot;)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a3cf9e6d8de5f488a061b264ce51b4447">finishProgramDefinition</a>(void)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#abbf9c391c3f6f9d4671979cb1960fd66">fireGpuProgramRefEvent</a>(SerializeEvent event, bool &amp;skip, const String &amp;attrib, const GpuProgramPtr &amp;program, const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a1ac606d146ba3cd2ac364f3ee5042e12">fireMaterialEvent</a>(SerializeEvent event, bool &amp;skip, const Material *mat)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aa9519357427289ec3f973dcae5094413">firePassEvent</a>(SerializeEvent event, bool &amp;skip, const Pass *pass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a1d8a4c50ffe03cc3a4e27ad8e1389da4">fireTechniqueEvent</a>(SerializeEvent event, bool &amp;skip, const Technique *tech)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#acebd30b1586c1a81171c7438c6e108ef">fireTextureUnitStateEvent</a>(SerializeEvent event, bool &amp;skip, const TextureUnitState *textureUnit)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a04ec59e9a863616dfdd6bbb5b8d2da24">getQueuedAsString</a>() const </td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a914b4ebf382eb560b700a13c2a78aaf9">GpuProgramDefinitionContainer</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aa99b888e44270f3222342d75991bc9de">GpuProgramDefIterator</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a650db39f635ec7bb85c17d45a0addac5">invokeParser</a>(String &amp;line, AttribParserList &amp;parsers)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a297f9015444c12452387eb2ab9f3c0f0">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a06bad7ecd388d210ec091003d57daccf">ListenerListConstIterator</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a028c6b30b888d03c4120f535eace5382">ListenerListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a18fd324e22637deae4f3dbc58c261e12">MaterialSerializer</a>()</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a6a08d7eedc3db673013079c3ab8dc5ec">mBuffer</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ab0fd51026108690c261cc4ca71589df6">mDefaults</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#afd3d781433ebcb52094a4dd1695ccd4c">mGpuProgramBuffer</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#af76f01904022aff94c3b92f19f4e714b">mGpuProgramDefinitionContainer</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ae350bc1a66e327cf4a77a12e50ccf726">mListeners</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a6176ae9c2f30c75ec75246688cb2c119">mMaterialAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a76790b4bb4ec5867feebb8a8a01acb92">mPassAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a806eb780cff4163bdfc3c445fcdc12ae">mProgramAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a7732e09b00b9416fd06a4ff0b12448c9">mProgramDefaultParamAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ad09f2012ba87dde9e7d370b1398cc05a">mProgramRefAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a8dcdf570027a4ebca1e9f24477196f79">mRootAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#acb3ce66fb6061378fc8b8213a52e1b29">mScriptContext</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4ba794b95b31d0f4fac1a6cb29f13b11e1a">MSE_POST_WRITE</a> enum value</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4ba85e77d983816f0d99a6cc14252b5c62d">MSE_PRE_WRITE</a> enum value</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4bad618010e51ad0134e4b0030894d5f77d">MSE_WRITE_BEGIN</a> enum value</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4ba297d0688ca8bd49478cab6050456ffdf">MSE_WRITE_END</a> enum value</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aac52f8be826c32f861530c7155b439af">mTechniqueAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a91976b3d3eef680f9b0191c1cda408ee">mTextureUnitAttribParsers</a></td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a0d2d2491e2943ed359f57baac1ec1e9b">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aee94055c25012ae4f51c44dc5ffcbde1">parseScriptLine</a>(String &amp;line)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a7f9ca3f37b24546d3e6c659ec19da2e0">queueForExport</a>(const MaterialPtr &amp;pMat, bool clearQueued=false, bool exportDefaults=false, const String &amp;materialName=&quot;&quot;)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aabdeca87659895ccbcb7756f24818739">quoteWord</a>(const String &amp;val)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a110e95db5986af560c8986705132e601">removeListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a237c1a8b1e58e28c793e1c3febc86d4b">SerializeEvent</a> enum name</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a4e3913738dc6322b8f07a730a14d8951">writeAttribute</a>(unsigned short level, const String &amp;att, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a5ffa3c698b1f378864af0f66ba7fdbc8">writeColourValue</a>(const ColourValue &amp;colour, bool writeAlpha=false)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ac4add46c30786c566425b8cd9904f032">writeComment</a>(unsigned short level, const String &amp;comment, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ac5bb31a3f4d9ac6fad21e2aa4391124e">writeCompareFunction</a>(const CompareFunction cf)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a1b84c3870de7abe6195edaa30fa0152d">writeEnvironmentMapEffect</a>(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ac31dd659d8378a38e826f3a5ebcbec14">writeFragmentProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ad3342ad6def39c223a7fb8e9233d4f07">writeGpuProgramParameter</a>(const String &amp;commandName, const String &amp;identifier, const GpuProgramParameters::AutoConstantEntry *autoEntry, const GpuProgramParameters::AutoConstantEntry *defaultAutoEntry, bool isFloat, size_t physicalIndex, size_t physicalSize, const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const unsigned short level, const bool useMainBuffer)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ad2e34c8cd0d793680750f4f573899747">writeGPUProgramParameters</a>(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const unsigned short level=4, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a9931d0969f50ccef16f4e872fe5c39de">writeGpuProgramRef</a>(const String &amp;attrib, const GpuProgramPtr &amp;program, const GpuProgramParametersSharedPtr &amp;params)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a3101c93579c2258f2b62accaeb7afbab">writeGpuPrograms</a>(void)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a843092f19ed6ed2d4e1fb072da6f7a75">writeLayerBlendOperationEx</a>(const LayerBlendOperationEx op)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a1504a19be2c350411b93f68770bbbf90">writeLayerBlendSource</a>(const LayerBlendSource lbs)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#af0a3faa48be53f7011ddfc0bd0e80971">writeLowLevelGpuProgramParameters</a>(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const unsigned short level=4, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#aabb1f882ef094321d4218b718856de23">writeMaterial</a>(const MaterialPtr &amp;pMat, const String &amp;materialName=&quot;&quot;)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a534c4df89b9a881a6bd110a39a1d0aef">writeNamedGpuProgramParameters</a>(const GpuProgramParametersSharedPtr &amp;params, GpuProgramParameters *defaultParams, const unsigned short level=4, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a417a0df31f2cd9fe6a71b5316cdb388d">writePass</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a6946e8f7c9bde0d2fea5a85f5ef9a766">writeRotationEffect</a>(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a28813f3e2c0a5c487fc0c06e95ae0d5b">writeSceneBlendFactor</a>(const SceneBlendFactor c_src, const SceneBlendFactor c_dest, const SceneBlendFactor a_src, const SceneBlendFactor a_dest)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a12a5b7f6c6e4ef24639aec45a9ae4524">writeSceneBlendFactor</a>(const SceneBlendFactor sbf_src, const SceneBlendFactor sbf_dest)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ada1474e40b668af0d76ea50fb1f5ed3c">writeSceneBlendFactor</a>(const SceneBlendFactor sbf)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a05408724e7aa7a10b0e14dc93a19542b">writeScrollEffect</a>(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a2e85af19280e340f6815803f1e168f12">writeShadowCasterFragmentProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a060b2625ae76bf620329b396080edb10">writeShadowCasterVertexProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#affa47a211fe550ba64b9a7aee3c9196e">writeShadowReceiverFragmentProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ab2cb3e51965572ce025651fb28457d52">writeShadowReceiverVertexProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a588189bcfda6efc5ee523dc269dfb86c">writeTechnique</a>(const Technique *pTech)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a49f33995fc879626e9da7c0390522ad2">writeTextureUnit</a>(const TextureUnitState *pTex)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ac4b781f46cdaf4e4c9ec1a2e08926a75">writeTransformEffect</a>(const TextureUnitState::TextureEffect &amp;effect, const TextureUnitState *pTex)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ad7221314131e7f6a76c864fbd3b5d0c7">writeValue</a>(const String &amp;val, const bool useMainBuffer=true)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#a2fc5340664886da075cba719c5e9b6d4">writeVertexProgramRef</a>(const Pass *pPass)</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MaterialSerializer.html#ad933634a0807f52b41c490536345d19b">~MaterialSerializer</a>()</td><td><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
